Download it now!
Bug 132757 - UI Option to set Axis position property of charts
Summary: UI Option to set Axis position property of charts
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:7.0.0 target:7.1.0 target:7.0.0.1
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2020-05-06 09:54 UTC by NISZ LibreOffice Team
Modified: 2020-06-22 10:37 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-05-06 09:54:14 UTC
Since bug #127792 is solved, we support in ODF a setting of the axis position to switch between On tick marks / Between tick marks.
Since bug #127777 we support this in OOXML too.
However there is still no option on the UI to change this property.

Steps to reproduce:
    1. Open attachment #154521 [details] from bug #127777
    2. The different charts are imported correctly regarding the Axis placement option
    3. Open the Format Axis dialogs for the X axes

Actual results:
No option in the dialog to switch between the On tick marks / Between tick marks options.

Expected results:
Radio buttons on the Positioning tab to switch the Axis position between On tick marks / Between tick marks.

LibreOffice details:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: a40455528c4ec2c079444f320a02d1946e1d8ac9
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL
Comment 1 Commit Notification 2020-05-13 11:02:50 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8027cc622f8bd5260a59c360db359557cd287100

tdf#132757 UI: option to set Position Axis property of charts

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 BogdanB 2020-05-17 10:41:49 UTC
We have this 2 options now.
Version: 7.0.0.0.alpha1+
Build ID: b1e396d86655a0131498a4691dd8069ea76c3477
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-05-15_04:58:38
Calc: threaded
Comment 3 Commit Notification 2020-06-22 10:16:30 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/c045b6819242cb355968a0570bba313ce6bd47f1

tdf#132757 (related) Document new "Position axis" options
Comment 4 Commit Notification 2020-06-22 10:37:58 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/help/commit/eeab8b5085cc1863731c00038de9cf761dffbfb1

tdf#132757 (related) Document new "Position axis" options